Get Video Compose Status
curl --request GET \
--url https://api.navtalk.ai/api/open/v1/video-compose/status \
--header 'license: <api-key>'import requests
url = "https://api.navtalk.ai/api/open/v1/video-compose/status"
headers = {"license": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {license: '<api-key>'}};
fetch('https://api.navtalk.ai/api/open/v1/video-compose/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "SUCCESS",
"data": {
"taskId": "6d7e24b7-412d-46ec-8d95-940099a3e979",
"status": "Published",
"title": "My first synthesis task",
"videoUrl": "https://api.navtalk.ai/uploadFiles/navtalk.Brain.mp4",
"thumbnailUrl": "https://api.navtalk.ai/uploadFiles/navtalk.Brain.png",
"audioUrl": "https://api.navtalk.ai/uploadFiles/2026-05-18/voice.mp3",
"resultUrl": "https://api.navtalk.ai/uploadFiles/2026-05-18/final-result.mp4",
"failMessage": null,
"prompt": "Hello, welcome to NavTalk.",
"voice": "cedar",
"voiceName": "cedar",
"avatarId": "4024d39983b4d4b488bba9377268fbac"
}
}{
"code": 400,
"message": "Task not found"
}Video Compose
Get Video Compose Status
Query the status and output URLs of a video composition task submitted by the current license.
GET
/
api
/
open
/
v1
/
video-compose
/
status
Get Video Compose Status
Authorizations
NavTalk API license key (e.g. sk_navtalk_...)
Query Parameters
Task ID returned by POST /api/open/v1/video-compose/submit.
Example:
"6d7e24b7-412d-46ec-8d95-940099a3e979"
⌘I